diff mbox series

[F/I/J,K/Unstable,OEM-5.14/OEM-5.17,PATCHv2,2/2] Revert "UBUNTU: SAUCE: selftests: net: Make test for VXLAN underlay in non-default VRF an expected failure"

Message ID 20220601095303.261735-3-po-hsu.lin@canonical.com
State New
Headers show
Series Remove SAUCE patches from test_vxlan_under_vrf.sh in net of ubuntu_kernel_selftests | expand

Commit Message

Po-Hsu Lin June 1, 2022, 9:53 a.m. UTC
BugLink: https://bugs.launchpad.net/bugs/1975691

This reverts commit 3829acb7f33d2bcf746b2df598c9a3066713fc2d.

With the broken test case, "underlay in a VRF", fixed in the
test_vxlan_under_vrf.sh, we should remove the SAUCE patches that mark
this test failure as an expected failure to catch regressions in the
future. This could reduce maintenance cost as well.

Signed-off-by: Po-Hsu Lin <po-hsu.lin@canonical.com>

---
 tools/testing/selftests/net/test_vxlan_under_vrf.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
diff mbox series

Patch

diff --git a/tools/testing/selftests/net/test_vxlan_under_vrf.sh b/tools/testing/selftests/net/test_vxlan_under_vrf.sh
index eb6f7d1..1fd1250 100755
--- a/tools/testing/selftests/net/test_vxlan_under_vrf.sh
+++ b/tools/testing/selftests/net/test_vxlan_under_vrf.sh
@@ -127,5 +127,5 @@  ip -netns hv-2 link set vxlan0 down
 ip -netns hv-2 link set vxlan0 up
 
 echo -n "Check VM connectivity through VXLAN (underlay in a VRF)            "
-ip netns exec vm-1 ping -c 1 -W 1 10.0.0.2 &> /dev/null || (echo "[XFAIL]"; false)
+ip netns exec vm-1 ping -c 1 -W 1 10.0.0.2 &> /dev/null || (echo "[FAIL]"; false)
 echo "[ OK ]"